| Flutter macOS Embedder |

Classes | Functions | Variables
FlutterEngine_Internal.h File Reference
`#import "flutter/shell/platform/darwin/macos/framework/Headers/FlutterEngine.h"`
`#import <Cocoa/Cocoa.h>`
`#include <memory>`
`#include "flutter/shell/platform/common/app_lifecycle_state.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/AccessibilityBridgeMac.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterKeyboardManager.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterPlatformViewController.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterRenderer.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterTextInputPlugin.h"`

Go to the source code of this file.

## Classes
class | FlutterEngineTerminationHandler
class | FlutterPasteboard

## Functions
typedef | NS_ENUM (NSInteger, FlutterAppExitType)
typedef | NS_ENUM (NSInteger, FlutterAppExitResponse)

## Variables
NS_ASSUME_NONNULL_BEGIN typedef void(^ | FlutterTerminationCallback )(id _Nullable sender)

## Function Documentation

## ◆ NS_ENUM() [1/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterAppExitResponse |
| ) |  |

An enum for defining the different responses the framework can give to an application exit request from the engine.

Must match the entries in the `AppExitResponse` enum in the Dart code.

Definition at line 47 of file FlutterEngine_Internal.h.

47 {
48 kFlutterAppExitResponseCancel = 0,
49 kFlutterAppExitResponseExit = 1,
50 };

## ◆ NS_ENUM() [2/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterAppExitType |
| ) |  |

An enum for defining the different request types allowed when requesting an application exit.

Must match the entries in the `AppExitType` enum in the Dart code.

Definition at line 36 of file FlutterEngine_Internal.h.

36 {
37 kFlutterAppExitTypeCancelable = 0,
38 kFlutterAppExitTypeRequired = 1,
39 };

## Variable Documentation

## ◆ FlutterTerminationCallback

NS_ASSUME_NONNULL_BEGIN typedef void(^ FlutterTerminationCallback) (id _Nullable sender) | ( | id _Nullable | sender | ) |